apiVersion: k8s.ovn.org/v1
kind: UserDefinedNetwork
metadata:
  creationTimestamp: '2024-12-23T03:27:28Z'
  finalizers:
    - k8s.ovn.org/user-defined-network-protection
  generation: 1
  managedFields:
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"NetworkAllocationSucceeded"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      manager: NetworkClusterController
      operation: Apply
      subresource: status
      time: '2024-12-23T03:27:29Z'
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"NetworkReady"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      manager: user-defined-network-controller
      operation: Apply
      subresource: status
      time: '2024-12-23T03:27:29Z'
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:layer2':
            .: {}
            'f:ipamLifecycle': {}
            'f:role': {}
            'f:subnets': {}
          'f:topology': {}
      manager: Mozilla
      operation: Update
      time: '2024-12-23T03:27:28Z'
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"k8s.ovn.org/user-defined-network-protection"': {}
      manager: uit-418-1219-rd4h7-master-0
      operation: Update
      time: '2024-12-23T03:27:29Z'
  name: udn-random-toucan
  namespace: default
  resourceVersion: '6530515'
  uid: 7d4fb67b-8993-401d-ac59-ec7fa190b86d
spec:
  layer2:
    ipamLifecycle: Persistent
    role: Primary
    subnets:
      - 192.168.1.1/24
  topology: Layer2
status:
  conditions:
    - lastTransitionTime: '2024-12-23T03:27:29Z'
      message: NetworkAttachmentDefinition has been created
      reason: NetworkAttachmentDefinitionReady
      status: 'True'
      type: NetworkReady
    - lastTransitionTime: '2024-12-23T03:27:29Z'
      message: Network allocation succeeded for all synced nodes.
      reason: NetworkAllocationSucceeded
      status: 'True'
      type: NetworkAllocationSucceeded
